//! SeaORM Entity. Generated by sea-orm-codegen 0.9.1

use sea_orm::{entity::prelude::*, Set};
use uuid::Uuid;

use super::DB_SONYFLAKE;

#[derive(Clone, Debug, PartialEq, DeriveEntityModel)]
#[sea_orm(table_name = "registration_keys")]
pub struct Model {
    #[sea_orm(primary_key, auto_increment = false)]
    pub id: String,
    pub issuer: String,
    #[sea_orm(unique)]
    pub code: Uuid,
    pub uses_left: Option<i32>,
    pub expiry_date: Option<DateTimeUtc>,
}

#[derive(Copy, Clone, Debug, EnumIter, DeriveRelation)]
pub enum Relation {
    #[sea_orm(
        belongs_to = "super::users::Entity",
        from = "Column::Issuer",
        to = "super::users::Column::Id",
        on_update = "NoAction",
        on_delete = "Cascade"
    )]
    Users,
}

impl Related<super::users::Entity> for Entity {
    fn to() -> RelationDef {
        Relation::Users.def()
    }
}

impl ActiveModelBehavior for ActiveModel {
    fn new() -> Self {
        Self {
            id: Set(DB_SONYFLAKE.next_id().unwrap().to_string()),
            code: Set(Uuid::new_v4()),
            ..ActiveModelTrait::default()
        }
    }
}
