## Token Types
- `user`
	- Generated by using the login route at `/api/auth/basic`.
	- Has a lifetime of one week before being invalidated.
	- Only meant to be used through the web UI.
	- Can access any route that the account is permitted to access.
- `application`
	- Generated by using `/api/applications` routes.
	- Permanent but have less permissions for security purposes.
	- May only access routes which explicitly allow `application` tokens.
	- Route description will specify if `application` tokens are allowed.

## Roles
Backpack is based on a role based auth system. There are two roles currently

 - `user`
 - `admin`

This is ordinal, meaning the higher indexes of this enum have higher clearance than lower indexes.\
The `admin` role can access all roles that a `user` can but not the other way around.\
A user can check their status by using the `/api/user` route. A route will specify which role is required (at minimum) in its description.
